org.apache.ignite.ml.inference.builder

## Class ThreadedModelBuilder

- java.lang.Object
- - org.apache.ignite.ml.inference.builder.ThreadedModelBuilder

- All Implemented Interfaces:
    AsyncModelBuilder

      public class ThreadedModelBuilder
      extends Object
      implements AsyncModelBuilder

  Implementation of asynchronous inference model builder that builds model processed locally utilizing specified number of threads.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadedModelBuilder(int threads)` Constructs a new instance of threaded inference model builder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<I extends Serializable,O extends Serializable> Model<I,Future<O>>` | `build(ModelReader reader, ModelParser<I,O,?> parser)` Builds asynchronous inference model using specified model reader and model parser.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadedModelBuilder

          public ThreadedModelBuilder(int threads)

      Constructs a new instance of threaded inference model builder.
      Parameters:
        `threads` - Number of threads to be utilized for model inference.

  - ### Method Detail

    - #### build

          public <I extends Serializable,O extends Serializable> Model<I,Future<O>> build(ModelReader reader,
                                                                                          ModelParser<I,O,?> parser)

      Builds asynchronous inference model using specified model reader and model parser.
      Specified by:
        `build` in interface `AsyncModelBuilder`
      Type Parameters:
        `I` - Type of model input.
        `O` - Type of model output.
      Parameters:
        `reader` - Model reader.
        `parser` - Model parser.
      Returns:
        Inference model.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021